/*
 *  fps.c
 *  Stereo_Video
 *
 *  Created by David Sweet on 7/8/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "fps.h"


FPS * FPS_construct()
{
	FPS *fps = (FPS*)malloc(sizeof(FPS));
	
	fps->n=FPS_N;
	fps->rate=30;
	FPS_update(fps);
	
	return fps;
}

void FPS_update(FPS *me)
{
	if(me->n==FPS_N)
	{
		struct timeval currenttime;
		gettimeofday(&currenttime, 0);
		double timeelapsed = (currenttime.tv_sec + 1e-6*currenttime.tv_usec)
							- (me->lasttime.tv_sec + 1e-6*me->lasttime.tv_usec);
		me->rate = .75*me->rate + .25*FPS_N/timeelapsed;
		
		me->lasttime.tv_sec = currenttime.tv_sec;
		me->lasttime.tv_usec = currenttime.tv_usec;
		me->n=1;
		me->bchanged=true;
	}
	else	
	{
		me->n++;
		me->bchanged=false;
	}
}

void FPS_destruct(FPS *me)
{
	if (me!=0)
	{
		free(me);
	}
}