/*
 *  fps.h
 *  Stereo_Video
 *
 *  Measure the # of frames being processed per second.
 *
 *  Created by David Sweet on 7/8/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef __FPS__
#define __FPS__

#include <sys/time.h>

#define FPS_N 10  // # of frame updates before measuring
struct FPS
{
	struct timeval lasttime;
	int n;   // current frame, n=[0..N-1]
	double rate; // current measure of rate
	bool bchanged;
};
typedef struct FPS FPS;

FPS * FPS_construct();
/**
 * Call every time a frame is updated.
 **/
void FPS_update(FPS *me);
void FPS_destruct(FPS *me);


#endif

