/*
 *  FrameData.h
 *  Stereo_Video
 *
 *  Created by David Sweet on 7/8/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef __FRAMEDATA__
#define __FRAMEDATA__

#include <Carbon/Carbon.h>
#include <AGL/agl.h>
#include <OpenGL/gl.h>


#include "WinData.h"
#include "OpenGL_utils.h"
#include "QT_utils.h"
#include "Common.h"




#define FDNameSize 10
struct FrameData
{
	char				name[FDNameSize];
	// Some fields for our Sequence Grabber.
	SeqGrabComponent	seqGrabber;
	SGChannel			sgVideoChannel;
	// The GWorld that our sequence grabber will
	// draw its frames into.
	GWorldPtr			graphicsWorld;
	
	// This ImageBuffer structure will allow easy 
	// access to the pixel data of the images that the
	// sequence grabber will be drawing into our GWorld.
	ImageBuffer			buffer;
	
	// These values are the "names" of our OpenGL textures.
	unsigned texture;
	
	// This ImageDecompressionSequence structure will allow
	// us to encapsulate the data associated
	ImageDecompressionSequence imageSequence;
	
	
	bool				bupdated;
	
	WinData				*pWinData;  // keep this handy
};
typedef struct FrameData FrameData;



#endif
