/*
 *  OpenGL_utils.h
 *  video_echo3
 *
 *  Created by David Cairns on 3/9/06.
 *
 */

#ifndef DRC_GL_UTILS
#define DRC_GL_UTILS

#include <Carbon/Carbon.h>
#include <AGL/agl.h>
#include <OpenGL/gl.h>
#include <OpenGL/glu.h>

#include "QT_utils.h"


// Create a window with an OpenGL context and display it.
OSStatus MakeOpenGLWindow( 
	WindowRef *winRef, 
	Rect winBounds, 
	AGLContext *context );

// Tell OpenGL to use some default values.
void SetupOpenGLDefaults( Rect winBounds );

// Set up our texture.
unsigned SetupTextureForImageBuffer( ImageBuffer *texBuffer, GWorldPtr graphicsWorld );

// Update our OpenGL Texture.
void UpdateGLTexture( ImageBuffer *texBuffer, GWorldPtr graphicsWorld );

// Check to see if a particular OpenGL extension is supported.
int OpenGLExtensionIsSupported( const char* extension );


#endif // DRC_GL_UTILS
